//SECTION HEADER

.head {
  &__navbar {

    &__menu {
      list-style: none;
      user-select: none;

      &-item {
        display: flex;
        align-items: center;
        text-transform: uppercase;
        font-size: 11px;
        letter-spacing: 1.1px;

        &-link {
          text-decoration: none;
          color: $main-font-color;

          &.active-menu-item {
            color: $active-item;
          }
        }
      }
    }
  }

  &__image {
    background-image: url("../img/header/header-image.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
  }
}

//SMALL SCREEN
@media screen and (max-width: 480px) {

  .head {
    margin: 0 0 38px;

    &__navbar {
      margin: 23px 0;
      display: flex;
      position: relative;
      flex-direction: row-reverse;
      line-height: 22px;

      &__button {
        width: $button-width;
        height: $button-height;
        background-color: $footer-button-bg-color;
        border: none;
        right: 0;
        position: relative;
        display: block;
        outline: none;
        font-size: 0;
        box-sizing: border-box;
        cursor: pointer;

        span {
          display: block;
          position: absolute;
          top: ($button-height / 2) - ($bar-thickness / 2);
          left: $button-pad;
          right: $button-pad;
          height: $bar-thickness;
          background: $animx-color;

          &::before,
          &::after {
            position: absolute;
            display: block;
            left: 0;
            width: 100%;
            height: $bar-thickness;
            background-color: $animx-color;
            content: "";
          }

          &::before {
            top: -$bar-thickness - $button-bar-space;
          }

          &::after {
            bottom: -$bar-thickness - $button-bar-space;
          }
        }

        &.toggle-hamburger__animx {
          background-color: $footer-button-bg-color;
          span {
            transition: background 0s $button-transistion-duration;

            &::before,
            &::after {
              transition-duration: $button-transistion-duration, $button-transistion-duration;
              transition-delay: $button-transistion-duration, 0s;
            }

            &::before {
              transition-property: top, \transform;
            }

            &::after {
              transition-property: bottom, \transform;
            }
          }
        }

        &.is-active {
          span {
            background: none;

            &::before,
            &::after {
              transition-delay: 0s, $button-transistion-duration;
            }

            &::before {
              top: 0;
              transform: rotate(45deg);
            }

            &::after {
              bottom: 0;
              transform: rotate(-45deg);
            }
          }
        }
      }

      &__wrapper {
        overflow: hidden;
        position: absolute;
        top: 37px;
        right: 0;
        height: 0;
        transition: height $button-transistion-duration;

        &.active-menu {
          height: $menu-item-height * 6;
        }
      }



      &__menu {

        &-item {
          height: $menu-item-height;
          width: $menu-width;
          padding-left: 12px;
          line-height: 22px;
          background-color: $menu-backgroud;

          &:focus-within {
            background-color: #E5E5E5;
          }
        }
      }
    }
    &__image {
      height: 150px;
    }
  }
}

@media screen and (min-width: 481px) and (max-width: 992px) {

  .head {
    margin: 0 0 56px;

    &__navbar {
      display: block;
      max-width: 600px;
      margin: 41px auto 43px;

      &__button {
        display: none;
      }

      &__menu {
        @include flex-jb;
        //display: flex;
        //align-items: center;
        //justify-content: space-between;
      }
    }
    &__image {
      height: 361px;
    }
  }
}

@media screen and (min-width: 993px) {

  .head {
    margin: 0 0 66px;

    &__navbar {
      display: block;
      max-width: 806px;
      margin: 45px auto 51px;

      &__button {
        display: none;
      }

      &__menu {
        @include flex-jb;
      }
    }
    &__image {
      height: 550px;
    }
  }
}